# React pivot table | Flexmonster Pivot Table & Charts wrapper for React
[![Flexmonster Pivot Table & Charts](https://static.flexmonster.com/uploads/2023/09/08090559/react.png)](https://www.flexmonster.com?r=wrap_react)
Website: [flexmonster.com](https://www.flexmonster.com?r=wrap_react)

[![NPM](https://img.shields.io/npm/v/react-flexmonster)](https://www.npmjs.com/package/react-flexmonster)
[![Github Stars](https://img.shields.io/github/stars/flexmonster?style=social)](https://github.com/flexmonster) [![Twitter](https://img.shields.io/twitter/follow/Flexmonster?style=social)](https://twitter.com/Flexmonster)
 

## Flexmonster Pivot Table & Charts

Flexmonster Pivot Table & Charts is a powerful and fully customizable JavaScript component for web reporting. It is packed with all core features for data analysis and can easily become a part of your React data visualization project. The tool supports popular frameworks like React, Vue, Blazor, Angular, and [more](https://www.flexmonster.com/doc/available-tutorials-integration?r=wrap_react). Also, Flexmonster connects to any data source, including SQL and NoSQL databases, JSON and CSV files, OLAP cubes, and Elasticsearch. 

This package is a [Flexmonster Pivot](https://www.flexmonster.com?r=wrap_react) wrapper for [React](https://react.dev/) applications. It is also used for React-based frameworks like [Next.js](https://nextjs.org/).

Table of contents:

* [Integration](#integration)
* [Usage](#usage)
* [Sample project](#sample-project)
* [Support and feedback](#support-and-feedback)
* [License](#license)
* [Social media](#social-media)

## Integration

Flexmonster documentation provides a detailed step-by-step guide on [іntegration with React](https://www.flexmonster.com/doc/integration-with-react/?r=wrap_react) and [integration with Next.js](https://www.flexmonster.com/doc/integration-with-next-js?r=wrap_react). 


## Usage

The wrapper provides  the  `FlexmonsterReact.Pivot` component to add the pivot table to the React project. Read more about the available props and how to use them in the [the `FlexmonsterReact.Pivot` component](https://www.flexmonster.com/doc/flexmonster-pivot-component-for-react?r=wrap_react) documentation.

Explore the available [methods and events](https://www.flexmonster.com/doc/using-methods-and-events-react?r=wrap_react) to learn the specifics of using and customizing Flexmonster in a React application.

Refer to [Using methods and events with Next.js](https://www.flexmonster.com/doc/using-methods-and-events-next-js?r=wrap_react) documentation page if you build Next.js application.


## Sample project

If you look for some reference examples, our team prepared a ready-to-use [React pivot grid sample project](https://github.com/flexmonster/pivot-react?r=wrap_react) with live demos of the most popular use cases. Visit the [usage examples documentation](https://www.flexmonster.com/doc/usage-examples-react?r=wrap_react) page to learn more about how the cases were implemented in an React project.

In our documentation, you can find [a guide for the sample React application](https://www.flexmonster.com/doc/sample-react-project?r=wrap_react). There, you can learn how to run it and what's inside.

The same guides you can find for the Next.js framework:
- [Next.js pivot table sample project](https://github.com/flexmonster/pivot-react/tree/master/nextjs-ts?r=wrap_react)
- [Usage examples documentation](https://www.flexmonster.com/doc/usage-examples-next-js?r=wrap_react)
- [Guide for the sample Next.js project](https://www.flexmonster.com/doc/sample-next-js-project?r=wrap_react)


## Support and feedback

In case of any issues, visit our [troubleshooting section](https://www.flexmonster.com/doc/typical-errors?r=wrap_react). You can also search among the [resolved cases](https://www.flexmonster.com/technical-support?r=wrap_react) for a solution to your problem.

To share your feedback or ask questions, contact our Tech team by raising a ticket on [Flexmonster Help Center](https://www.flexmonster.com/help-center?r=wrap_react). You can also find a list of samples, technical specifications, and a user interface guide there.

If you need any help with your license — fill out our [Contact form](https://www.flexmonster.com/contact-our-team?r=wrap_react), and we will get in touch with you.

## License

Flexmonster React wrapper is released as an MIT-licensed (free and open-source) add-on to Flexmonster Pivot.

To learn about Flexmonster Pivot licenses, visit the [Flexmonster licensing page](https://www.flexmonster.com/pivot-table-editions-and-pricing?r=wrap_react). 
If you want to test our product, we provide a 30-day free trial.

## Social media

Follow us on social media and stay updated on our development process!

[![LinkedIn](https://img.shields.io/badge/LinkedIn-blue?style=for-the-badge&logo=linkedin&logoColor=white)](https://linkedin.com/company/flexmonster) [![YouTube](https://img.shields.io/badge/YouTube-red?style=for-the-badge&logo=youtube&logoColor=white)](https://youtube.com/user/FlexMonsterPivot) [![Twitter](https://img.shields.io/badge/Twitter-blue?style=for-the-badge&logo=twitter&logoColor=white)](https://twitter.com/flexmonster)
